document.getElementById("gombID").addEventListener("click", function () {
    let szam1 = document.getElementById("szam1").value;
    let szam2 = document.getElementById("szam2").value;
    let good = typecheck(szam1, szam2);
    if(good){
        osszegkiir(szam1, szam2);
        kulonbsegkiir(szam1, szam2);
        szorzatkiir(szam1, szam2);
        hanyadoskiir(szam1, szam2);
        adattorles();
    }   else{
        hibasbemenet();
        adattorles();
    }  
})

let adattorles = () =>{
    document.getElementById("szam1").value = null;
    document.getElementById("szam2").value = null;
}

let osszegkiir = (szam1, szam2) =>{
    szam1 = parseInt(szam1);
    szam2 = parseInt(szam2);
    document.getElementById("osszeg").innerHTML = `${szam1 + szam2}`;
}

let kulonbsegkiir = (szam1, szam2) =>{
    szam1 = parseInt(szam1);
    szam2 = parseInt(szam2);
    document.getElementById("kulonbseg").innerHTML = `${szam1 - szam2}`;
}
let szorzatkiir = (szam1, szam2) =>{
    szam1 = parseInt(szam1);
    szam2 = parseInt(szam2);
    document.getElementById("szorzat").innerHTML = `${szam1 * szam2}`;
}
let hanyadoskiir = (szam1, szam2) =>{
    szam1 = parseInt(szam1);
    szam2 = parseInt(szam2);
    let text = "";
    if (szam2 == 0){
        text = "Nem lehetséges nullával osztani!";
    }else{
        text = `${szam1 / szam2}`;
    }
    
    document.getElementById("hanyados").innerHTML = text;
}

let hibasbemenet = () =>{
    alert("HIBÁS BEMENET");
}

let typecheck = (szam1, szam2) =>{
    if (szam1 == "" || szam2 == ""){
        return false;
    }
    return true;
};